source('/Users/mbenigni/Public/repositories/IVCC/IVCC_Features.R')
load(file.path("RData","dense_communities.RData"))
load(file.path("RData","euromaidan_community.RData"))



shinyServer(function(input, output) {


    output$barplot <- renderPlot( 
      
    barPlotBuilder(denseOutput,
                   targetIDs=numeric(),
                   clusterType=input$clusterType,
                   sort_type=input$sort_type,
                   top_n=input$top_n),
    height=1600,
    res=150
  )
  
  output$outputClusters <- renderDataTable(
    data.table(clusterLang),
    escape=FALSE)

  output$denseOutputPage <- renderDataTable(
    data.table(filter(denseOutput,followerCount >= input$followCount & tweetCount >=input$tweetCount)),
    escape=FALSE)
  
  output$euromaidanOutputPage <- renderDataTable(
    data.table(filter(finalOutput,followerCount >= input$followCount & tweetCount >=input$tweetCount)),
    escape=FALSE)

  }) 

